## qt6-quick3dphysics 6.4.2

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(3rdparty)
add_subdirectory(quick3dphysics)
add_subdirectory(helpers)

=== tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

if(NOT WASM AND NOT IOS AND NOT ANDROID AND NOT QNX AND NOT INTEGRITY AND NOT WEBOS)
    add_subdirectory(cooker)
endif()

=== examples/quick3dphysics/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_example(cannon)
qt_internal_add_example(compoundshapes)
qt_internal_add_example(customshapes)
qt_internal_add_example(impeller)
qt_internal_add_example(material)
qt_internal_add_example(mass)
qt_internal_add_example(simple)

=== src/quick3dphysics/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Quick3DPhysics Module:
#####################################################################

qt_internal_add_qml_module(Quick3DPhysics
    URI "QtQuick3D.Physics"
        VERSION "${PROJECT_VERSION}"
        CLASS_NAME QtQuick3DPhysicsPlugin
        PLUGIN_TARGET qquick3dphysicsplugin
        NO_PLUGIN_OPTIONAL
        NO_GENERATE_PLUGIN_SOURCE
    SOURCES
        qabstractcollisionnode.cpp qabstractcollisionnode_p.h
        qabstractcollisionshape.cpp qabstractcollisionshape_p.h
        qboxshape.cpp qboxshape_p.h
        qcapsuleshape.cpp qcapsuleshape_p.h
        qtriggerbody.cpp qtriggerbody_p.h
        qcharactercontroller.cpp qcharactercontroller_p.h
        qcollisiondebugmeshbuilder.cpp qcollisiondebugmeshbuilder_p.h
        qphysicsmeshutils_p_p.h
        qconvexmeshshape.cpp qconvexmeshshape_p.h
        qtrianglemeshshape.cpp qtrianglemeshshape_p.h
        qheightfieldshape.cpp qheightfieldshape_p.h
        qplaneshape.cpp qplaneshape_p.h
        qdynamicsworld.cpp qdynamicsworld_p.h
        qrigidbody.cpp qrigidbody_p.h
        qsphereshape.cpp qsphereshape_p.h
        qcacheutils.cpp qcacheutils_p.h
        qphysicsmaterial.cpp qphysicsmaterial_p.h
        qabstractphysicsbody.cpp qabstractphysicsbody_p.h
        qphysicscommands.cpp qphysicscommands_p.h
        qphysicsutils_p.h
        qdebugdrawhelper.cpp qdebugdrawhelper_p.h
        qtquick3dphysicsglobal.h
        qtquick3dphysicsglobal_p.h
    DEFINES
        QT_BUILD_QUICK3DPHYSICS_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick3DPrivate
        Qt::QuickPrivate
        Qt::BundledPhysX
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::Quick3D
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick3D
        Qt::QuickPrivate
)

qt_internal_extend_target(qquick3dphysicsplugin
    SOURCES
        plugin.cpp
    LIBRARIES
        Qt::Quick3DPhysicsPrivate
)

target_include_directories(Quick3DPhysics SYSTEM
    PRIVATE
    ../3rdparty/PhysX/include
    ../3rdparty/PhysX/pxshared/include
)

if (UNIX)
    # Needed for PxPreprocessor.h error
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        qt_internal_extend_target(Quick3DPhysics DEFINES _DEBUG)
    else()
        qt_internal_extend_target(Quick3DPhysics DEFINES NDEBUG)
    endif()
endif()

qt_internal_extend_target(Quick3DPhysics DEFINES PX_PHYSX_STATIC_LIB)

qt_internal_add_docs(Quick3DPhysics
    doc/qtquick3dphysics.qdocconf
)

=== tests/auto/CMakeLists.txt ===
add_subdirectory(cooked)
add_subdirectory(physicsscene)

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(charactercontroller)
add_subdirectory(convexmesh)
add_subdirectory(friction)
add_subdirectory(scaling)
add_subdirectory(spawn)

=== tools/cooker/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

set(target_name cooker)
qt_internal_add_app(${target_name}
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Core
        Qt::Quick3D
        Qt::Quick3DPrivate
        Qt::Quick3DPhysics
        Qt::Quick3DPhysicsPrivate
        Qt::BundledPhysX
)
target_include_directories(${target_name} SYSTEM
    PRIVATE
    ../../src/3rdparty/PhysX/include
    ../../src/3rdparty/PhysX/pxshared/include
)
if (UNIX)
    # Needed for PxPreprocessor.h error
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        qt_internal_extend_target(${target_name} DEFINES _DEBUG)
    else()
        qt_internal_extend_target(${target_name} DEFINES NDEBUG)
    endif()
endif()
qt_internal_extend_target(${target_name} DEFINES PX_PHYSX_STATIC_LIB)

=== examples/quick3dphysics/cannon/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.14)
project(example_cannon LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick3dphysics/${PROJECT_NAME}")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D Quick3DPhysics)

qt_add_executable(${PROJECT_NAME}
    main.cpp
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(${PROJECT_NAME} PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
    Qt::Quick3DPhysics
)

# Resources:
set(qml_resource_files
    "main.qml"
    "box.qml"
    "sphere.qml"
    "Crosshair.qml"
)

qt_add_resources(${PROJECT_NAME} "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/3rdparty/PhysX/CMakeLists.txt ===

#####################################################################
## BundledPhysX Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledPhysX
    STATIC
    INSTALL
    LIBRARIES
        ${CMAKE_DL_LIBS}
    DEFINES
        QT_BUILD_PHYSXSTATIC_LIB
)

qt_internal_extend_target(BundledPhysX
    SOURCES
        include/PxActor.h
        include/PxAggregate.h
        include/PxArticulation.h
        include/PxArticulationBase.h
        include/PxArticulationJoint.h
        include/PxArticulationJointReducedCoordinate.h
        include/PxArticulationLink.h
        include/PxArticulationReducedCoordinate.h
        include/PxBatchQuery.h
        include/PxBatchQueryDesc.h
        include/PxBroadPhase.h
        include/PxClient.h
        include/PxConstraint.h
        include/PxConstraintDesc.h
        include/PxContact.h
        include/PxContactModifyCallback.h
        include/PxDeletionListener.h
        include/PxFiltering.h
        include/PxForceMode.h
        include/PxFoundation.h
        include/PxImmediateMode.h
        include/PxLockedData.h
        include/PxMaterial.h
        include/PxPhysXConfig.h
        include/PxPhysics.h
        include/PxPhysicsAPI.h
        include/PxPhysicsSerialization.h
        include/PxPhysicsVersion.h
        include/PxPruningStructure.h
        include/PxQueryFiltering.h
        include/PxQueryReport.h
        include/PxRigidActor.h
        include/PxRigidBody.h
        include/PxRigidDynamic.h
        include/PxRigidStatic.h
        include/PxScene.h
        include/PxSceneDesc.h
        include/PxSceneLock.h
        include/PxShape.h
        include/PxSimulationEventCallback.h
        include/PxSimulationStatistics.h
        include/PxVisualizationParameter.h
        include/characterkinematic/PxBoxController.h
        include/characterkinematic/PxCapsuleController.h
        include/characterkinematic/PxController.h
        include/characterkinematic/PxControllerBehavior.h
        include/characterkinematic/PxControllerManager.h
        include/characterkinematic/PxControllerObstacles.h
        include/characterkinematic/PxExtended.h
        include/collision/PxCollisionDefs.h
        include/common/PxBase.h
        include/common/PxCollection.h
        include/common/PxCoreUtilityTypes.h
        include/common/PxMetaData.h
        include/common/PxMetaDataFlags.h
        include/common/PxPhysXCommonConfig.h
        include/common/PxPhysicsInsertionCallback.h
        include/common/PxProfileZone.h
        include/common/PxRenderBuffer.h
        include/common/PxSerialFramework.h
        include/common/PxSerializer.h
        include/common/PxStringTable.h
        include/common/PxTolerancesScale.h
        include/common/PxTypeInfo.h
        include/cooking/PxBVH33MidphaseDesc.h
        include/cooking/PxBVH34MidphaseDesc.h
        include/cooking/PxBVHStructureDesc.h
        include/cooking/PxConvexMeshDesc.h
        include/cooking/PxCooking.h
        include/cooking/PxMidphaseDesc.h
        include/cooking/PxTriangleMeshDesc.h
        include/cooking/Pxc.h
        include/cudamanager/PxCudaContextManager.h
        include/cudamanager/PxCudaMemoryManager.h
        include/extensions/PxBinaryConverter.h
        include/extensions/PxBroadPhaseExt.h
        include/extensions/PxCollectionExt.h
        include/extensions/PxConstraintExt.h
        include/extensions/PxContactJoint.h
        include/extensions/PxConvexMeshExt.h
        include/extensions/PxD6Joint.h
        include/extensions/PxD6JointCreate.h
        include/extensions/PxDefaultAllocator.h
        include/extensions/PxDefaultCpuDispatcher.h
        include/extensions/PxDefaultErrorCallback.h
        include/extensions/PxDefaultSimulationFilterShader.h
        include/extensions/PxDefaultStreams.h
        include/extensions/PxDistanceJoint.h
        include/extensions/PxExtensionsAPI.h
        include/extensions/PxFixedJoint.h
        include/extensions/PxJoint.h
        include/extensions/PxJointLimit.h
        include/extensions/PxMassProperties.h
        include/extensions/PxPrismaticJoint.h
        include/extensions/PxRaycastCCD.h
        include/extensions/PxRepXSerializer.h
        include/extensions/PxRepXSimpleType.h
        include/extensions/PxRevoluteJoint.h
        include/extensions/PxRigidActorExt.h
        include/extensions/PxRigidBodyExt.h
        include/extensions/PxSceneQueryExt.h
        include/extensions/PxSerialization.h
        include/extensions/PxShapeExt.h
        include/extensions/PxSimpleFactory.h
        include/extensions/PxSmoothNormals.h
        include/extensions/PxSphericalJoint.h
        include/extensions/PxStringTableExt.h
        include/extensions/PxTriangleMeshExt.h
        include/filebuf/PxFileBuf.h
        include/foundation/PxAssert.h
        include/foundation/PxFoundationConfig.h
        include/foundation/PxMathUtils.h
        include/geometry/PxBVHStructure.h
        include/geometry/PxBoxGeometry.h
        include/geometry/PxCapsuleGeometry.h
        include/geometry/PxConvexMesh.h
        include/geometry/PxConvexMeshGeometry.h
        include/geometry/PxGeometry.h
        include/geometry/PxGeometryHelpers.h
        include/geometry/PxGeometryQuery.h
        include/geometry/PxHeightField.h
        include/geometry/PxHeightFieldDesc.h
        include/geometry/PxHeightFieldFlag.h
        include/geometry/PxHeightFieldGeometry.h
        include/geometry/PxHeightFieldSample.h
        include/geometry/PxMeshQuery.h
        include/geometry/PxMeshScale.h
        include/geometry/PxPlaneGeometry.h
        include/geometry/PxSimpleTriangleMesh.h
        include/geometry/PxSphereGeometry.h
        include/geometry/PxTriangle.h
        include/geometry/PxTriangleMesh.h
        include/geometry/PxTriangleMeshGeometry.h
        include/geomutils/GuContactBuffer.h
        include/geomutils/GuContactPoint.h
        include/gpu/PxGpu.h
        include/pvd/PxPvd.h
        include/pvd/PxPvdSceneClient.h
        include/pvd/PxPvdTransport.h
        include/solver/PxSolverDefs.h
        include/task/PxCpuDispatcher.h
        include/task/PxTask.h
        include/task/PxTaskDefine.h
        include/task/PxTaskManager.h
        include/vehicle/PxVehicleComponents.h
        include/vehicle/PxVehicleDrive.h
        include/vehicle/PxVehicleDrive4W.h
        include/vehicle/PxVehicleDriveNW.h
        include/vehicle/PxVehicleDriveTank.h
        include/vehicle/PxVehicleNoDrive.h
        include/vehicle/PxVehicleSDK.h
        include/vehicle/PxVehicleShaders.h
        include/vehicle/PxVehicleTireFriction.h
        include/vehicle/PxVehicleUpdate.h
        include/vehicle/PxVehicleUtil.h
        include/vehicle/PxVehicleUtilControl.h
        include/vehicle/PxVehicleUtilSetup.h
        include/vehicle/PxVehicleUtilTelemetry.h
        include/vehicle/PxVehicleWheels.h
        pxshared/include/empty.h
        pxshared/include/foundation/Px.h
        pxshared/include/foundation/PxAllocatorCallback.h
        pxshared/include/foundation/PxBitAndData.h
        pxshared/include/foundation/PxBounds3.h
        pxshared/include/foundation/PxErrorCallback.h
        pxshared/include/foundation/PxErrors.h
        pxshared/include/foundation/PxFlags.h
        pxshared/include/foundation/PxIO.h
        pxshared/include/foundation/PxIntrinsics.h
        pxshared/include/foundation/PxMat33.h
        pxshared/include/foundation/PxMat44.h
        pxshared/include/foundation/PxMath.h
        pxshared/include/foundation/PxMemory.h
        pxshared/include/foundation/PxPlane.h
        pxshared/include/foundation/PxPreprocessor.h
        pxshared/include/foundation/PxProfiler.h
        pxshared/include/foundation/PxQuat.h
        pxshared/include/foundation/PxSharedAssert.h
        pxshared/include/foundation/PxSimpleTypes.h
        pxshared/include/foundation/PxStrideIterator.h
        pxshared/include/foundation/PxTransform.h
        pxshared/include/foundation/PxUnionCast.h
        pxshared/include/foundation/PxVec2.h
        pxshared/include/foundation/PxVec3.h
        pxshared/include/foundation/PxVec4.h
        source/common/include/empty.h
        source/common/src/CmBitMap.h
        source/common/src/CmBlockArray.h
        source/common/src/CmCollection.cpp
        source/common/src/CmCollection.h
        source/common/src/CmConeLimitHelper.h
        source/common/src/CmFlushPool.h
        source/common/src/CmIDPool.h
        source/common/src/CmIO.h
        source/common/src/CmMatrix34.h
        source/common/src/CmPhysXCommon.h
        source/common/src/CmPool.h
        source/common/src/CmPreallocatingPool.h
        source/common/src/CmPriorityQueue.h
        source/common/src/CmPtrTable.cpp
        source/common/src/CmPtrTable.h
        source/common/src/CmQueue.h
        source/common/src/CmRadixSort.cpp
        source/common/src/CmRadixSort.h
        source/common/src/CmRadixSortBuffered.cpp
        source/common/src/CmRadixSortBuffered.h
        source/common/src/CmRefCountable.h
        source/common/src/CmRenderBuffer.h
        source/common/src/CmRenderOutput.cpp
        source/common/src/CmRenderOutput.h
        source/common/src/CmScaling.h
        source/common/src/CmSpatialVector.h
        source/common/src/CmTask.h
        source/common/src/CmTaskPool.h
        source/common/src/CmTmpMem.h
        source/common/src/CmTransformUtils.h
        source/common/src/CmUtils.h
        source/common/src/CmVisualization.cpp
        source/common/src/CmVisualization.h
        source/fastxml/include/PsFastXml.h
        source/fastxml/src/PsFastXml.cpp
        source/filebuf/include/PsAsciiConversion.h
        source/filebuf/include/PsFileBuffer.h
        source/filebuf/include/PsIOStream.h
        source/filebuf/include/PsMemoryBuffer.h
        source/foundation/include/Ps.h
        source/foundation/include/PsAlignedMalloc.h
        source/foundation/include/PsAlloca.h
        source/foundation/include/PsAllocator.h
        source/foundation/include/PsAoS.h
        source/foundation/include/PsArray.h
        source/foundation/include/PsAtomic.h
        source/foundation/include/PsBasicTemplates.h
        source/foundation/include/PsBitUtils.h
        source/foundation/include/PsBroadcast.h
        source/foundation/include/PsCpu.h
        source/foundation/include/PsFPU.h
        source/foundation/include/PsFoundation.h
        source/foundation/include/PsHash.h
        source/foundation/include/PsHashInternals.h
        source/foundation/include/PsHashMap.h
        source/foundation/include/PsHashSet.h
        source/foundation/include/PsInlineAllocator.h
        source/foundation/include/PsInlineAoS.h
        source/foundation/include/PsInlineArray.h
        source/foundation/include/PsIntrinsics.h
        source/foundation/include/PsMathUtils.h
        source/foundation/include/PsMutex.h
        source/foundation/include/PsPool.h
        source/foundation/include/PsSList.h
        source/foundation/include/PsSocket.h
        source/foundation/include/PsSort.h
        source/foundation/include/PsSortInternals.h
        source/foundation/include/PsString.h
        source/foundation/include/PsSync.h
        source/foundation/include/PsTempAllocator.h
        source/foundation/include/PsThread.h
        source/foundation/include/PsTime.h
        source/foundation/include/PsUserAllocated.h
        source/foundation/include/PsUtilities.h
        source/foundation/include/PsVecMath.h
        source/foundation/include/PsVecMathAoSScalar.h
        source/foundation/include/PsVecMathAoSScalarInline.h
        source/foundation/include/PsVecMathSSE.h
        source/foundation/include/PsVecMathUtilities.h
        source/foundation/include/PsVecQuat.h
        source/foundation/include/PsVecTransform.h
        source/foundation/src/PsAllocator.cpp
        source/foundation/src/PsAssert.cpp
        source/foundation/src/PsFoundation.cpp
        source/foundation/src/PsMathUtils.cpp

=== tests/auto/cooked/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

qt_internal_add_test(tst_cooked
    GUI
    QMLTEST
    SOURCES
        tst_cooked.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        data/hf.cooked.hf
        data/tetrahedron.cooked.cvx
        data/tetrahedron.cooked.tri
        data/tst_cooked.qml
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(tst_cooked)
endif()

=== tests/auto/physicsscene/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_physicsscene
    GUI
    QMLTEST
    SOURCES
        tst_physicsscene.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        data/tst_physicsscene.qml
        data/TestCube.qml
        data/hf.png
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(tst_physicsscene)
endif()

=== tests/manual/convexmesh/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_manual_test(test_convexmesh
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::Quick3D
        Qt::Quick3DPhysics
)

# Resources:
set(qml_resource_files
  "main.qml"
)

qt6_add_resources(test_convexmesh "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)


qt6_add_resources(test_convexmesh "assets"
    PREFIX
        "/"
    FILES
        "qt_logo_rect.png"
        "meshes/test.mesh"
        "meshes/field.mesh"
        "meshes/newTorus.mesh"
        "meshes/newConvexTorus.mesh"
        "maps/heightfield.png"
)

## qt6-quick3dphysics 6.4.2~rc1

=== debian/changelog ===
qt6-quick3dphysics (6.4.2~rc1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploader, only for backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 15:58:28 -0300

qt6-quick3dphysics (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:43 +0100

qt6-quick3dphysics (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Fix dependencies for qt6-quick3dphysics-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:15 +0100

qt6-quick3dphysics (6.4.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Dec 2022 00:11:41 +0100

qt6-quick3dphysics (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit build to certain architectures as qtquick3dphysics does not
    build on all architectures.

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Nov 2022 02:10:52 +0100

qt6-quick3dphysics (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * New binary package qt6-quick3dphysics-dev-tools.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Nov 2022 02:21:41 +0100

qt6-quick3dphysics (6.4.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Oct 2022 20:36:14 +0200

qt6-quick3dphysics (6.4.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1021683)

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Oct 2022 03:19:57 +0200

=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-quick3d (>= 6.4.2~),
               qml6-module-quick3d-assetutils (>= 6.4.2~),
               qml6-module-quick3d-effects (>= 6.4.2~),
               qml6-module-quick3d-helpers (>= 6.4.2~),
               qml6-module-quick3d-particleeffects (>= 6.4.2~),
               qml6-module-quick3d-particles3d (>= 6.4.2~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-qmltooling-quick3dprofiler-plugin (>= 6.4.2~),
               qt6-quick3d-dev (>= 6.4.2~),
               qt6-shadertools-dev (>= 6.4.2~),
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
Rules-Requires-Root: no

Package: libqt6quick3dphysics6
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: libqt6quick3dphysicshelpers6
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics Helpers library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics Helpers library.

Package: qml6-module-qtquick3d-physics
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QML module for Qt 6 Quick 3D Physics.

Package: qt6-quick3dphysics-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}
Description: Qt 6 Quick 3D Physics - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D Physics library.

Package: qt6-quick3dphysics-dev-tools
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 6
 Quick 3D Physics applications.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-quick3dphysics 6.4.2

=== debian/changelog ===
qt6-quick3dphysics (6.4.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:17 +1100

qt6-quick3dphysics (6.4.2-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:00:43 +0000

qt6-quick3dphysics (6.4.2-6) unstable; urgency=medium

  * Team upload to unstable.
  * Fix architecture list for examples packages, I did not realize this source
    package is limited to a certain set of them.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 18:26:12 -0300

qt6-quick3dphysics (6.4.2-5) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 14:19:42 -0300

qt6-quick3dphysics (6.4.2-4) experimental; urgency=medium

  * Team upload.
  * Add examples package (Closes: #1042311).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jul 2023 12:28:21 -0300

qt6-quick3dphysics (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Jun 2023 00:55:40 +0200

qt6-quick3dphysics (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add libqt6quick3dphysics6 and libqt6quick3dphysicshelpers6 as
    dependencies to qt6-quick3dphysics-dev (Closes: #1035459).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 May 2023 14:24:43 +0200

qt6-quick3dphysics (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Jan 2023 18:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: qt6-quick3dphysics
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
@@ -31,7 +31,7 @@
 Package: libqt6quick3dphysics6
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -41,7 +41,7 @@
 Package: libqt6quick3dphysicshelpers6
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics Helpers library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -51,7 +51,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -62,7 +62,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: libqt6quick3dphysics6 (= ${binary:Version}),
+         libqt6quick3dphysicshelpers6 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -74,10 +76,21 @@
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: foreign
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics development programs
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the development programs used for building Qt 6
  Quick 3D Physics applications.
+
+Package: qt6-quick3dphysics-examples
+Architecture: amd64 arm64 armel armhf mips64el
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Quick 3D physics examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt Quick 3D physics submodule.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-quick3dphysics 6.6.1

=== debian/changelog ===
qt6-quick3dphysics (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 20:19:48 +0100

qt6-quick3dphysics (6.6.1-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Bump build dependencies to 6.6.1.
    - Update the copyright file.
  * Add my name to Uploaders.

  [ Patrick Franz ]
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6quick3dphysicshelpers6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:19:07 +0100

=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
               qt6-declarative-dev (>= 6.6.1+dfsg~),
               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
               qt6-quick3d-dev (>= 6.6.1~),
               qt6-quick3d-private-dev (>= 6.6.1~),
               qt6-shadertools-dev (>= 6.6.1~),
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
Rules-Requires-Root: no

Package: libqt6quick3dphysics6
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: qml6-module-qtquick3d-physics
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dphysicshelpers6,
Replaces: libqt6quick3dphysicshelpers6,
Description: Qt 6 Quick 3D Physics QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QML module for Qt 6 Quick 3D Physics.

Package: qt6-quick3dphysics-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: libqt6quick3dphysics6 (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Quick 3D Physics - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D Physics library.

Package: qt6-quick3dphysics-dev-tools
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Physics development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 6
 Quick 3D Physics applications.

Package: qt6-quick3dphysics-examples
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D physics examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Quick 3D physics submodule.

## qt6-quick3dphysics 6.6.2

=== debian/changelog ===
qt6-quick3dphysics (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:32:56 +0200

qt6-quick3dphysics (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 15:26:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-quick3d-dev (>= 6.6.1~),
-               qt6-quick3d-private-dev (>= 6.6.1~),
-               qt6-shadertools-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-quick3d-dev (>= 6.6.2~),
+               qt6-quick3d-private-dev (>= 6.6.2~),
+               qt6-shadertools-dev (>= 6.6.2~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics

## qt6-quick3dphysics 6.7.2

=== debian/changelog ===
qt6-quick3dphysics (6.7.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 24 Nov 2024 00:40:52 +0100

qt6-quick3dphysics (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Nov 2024 22:13:25 +0100

qt6-quick3dphysics (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:56:53 +0200

qt6-quick3dphysics (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:14:00 +0200

qt6-quick3dphysics (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Sep 2024 19:11:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,19 @@
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-quick3d-dev (>= 6.6.2~),
-               qt6-quick3d-private-dev (>= 6.6.2~),
-               qt6-shadertools-dev (>= 6.6.2~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-quick3d-dev (>= 6.7.2~),
+               qt6-quick3d-private-dev (>= 6.7.2~),
+               qt6-shadertools-dev (>= 6.7.2~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
@@ -35,7 +37,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dphysicshelpers6,
 Replaces: libqt6quick3dphysicshelpers6,
 Description: Qt 6 Quick 3D Physics QML module
@@ -48,7 +50,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: libqt6quick3dphysics6 (= ${binary:Version}), ${misc:Depends},
+Depends: libqt6quick3dphysics6 (= ${binary:Version}),
+         qml6-module-qtquick3d-physics (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-quick3dphysics 6.8.0

=== debian/changelog ===
qt6-quick3dphysics (6.8.0-0deepin1) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 15:45:58 +0800

qt6-quick3dphysics (6.6.1-2deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:17:04 +0800

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,17 @@
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-quick3d-dev (>= 6.7.2~),
-               qt6-quick3d-private-dev (>= 6.7.2~),
-               qt6-shadertools-dev (>= 6.7.2~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-quick3d-dev (>= 6.8.0~),
+               qt6-quick3d-private-dev (>= 6.8.0~),
+               qt6-shadertools-dev (>= 6.8.0~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
@@ -37,7 +35,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dphysicshelpers6,
 Replaces: libqt6quick3dphysicshelpers6,
 Description: Qt 6 Quick 3D Physics QML module
@@ -50,9 +48,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: libqt6quick3dphysics6 (= ${binary:Version}),
-         qml6-module-qtquick3d-physics (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libqt6quick3dphysics6 (= ${binary:Version}), ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-quick3dphysics 6.8.1

=== debian/changelog ===
qt6-quick3dphysics (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:33:44 -0600

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: qt6-quick3dphysics
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-quick3d-dev (>= 6.8.0~),
-               qt6-quick3d-private-dev (>= 6.8.0~),
-               qt6-shadertools-dev (>= 6.8.0~),
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-quick3d-dev (>= 6.8.1~),
+               qt6-quick3d-private-dev (>= 6.8.1~),
+               qt6-shadertools-dev (>= 6.8.1~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
@@ -35,7 +38,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dphysicshelpers6,
 Replaces: libqt6quick3dphysicshelpers6,
 Description: Qt 6 Quick 3D Physics QML module
@@ -48,7 +51,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: libqt6quick3dphysics6 (= ${binary:Version}), ${misc:Depends},
+Depends: libqt6quick3dphysics6 (= ${binary:Version}),
+         qml6-module-qtquick3d-physics (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
